librime: rime::DfsState Struct Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Public Attributes | List of all members
rime::DfsState Struct Reference
Collaboration diagram for rime::DfsState:
[legend]

## Public Member Functions
size_t | depth () const
bool | IsExactMatch (const string &prefix)
bool | IsPrefixMatch (const string &prefix)
void | RecruitEntry (size_t pos, hash_map< string, SyllableId > *syllabary=nullptr)
bool | NextEntry ()
bool | ForwardScan (const string &prefix)
bool | Backdate (const string &prefix)

## Public Attributes
size_t | depth_limit
size_t | predict_word_from_depth
TickCount | present_tick
Code | code
vector< double > | credibility
vector< double > | quality_len
hash_map< int, DictEntryList > | query_result
an< DbAccessor > | accessor
string | key
string | value

## Member Function Documentation

## ◆ Backdate()

bool rime::DfsState::Backdate | ( | const string & | prefix | ) |
| inline

## ◆ depth()

size_t rime::DfsState::depth | ( |  | ) | const
| inline

## ◆ ForwardScan()

bool rime::DfsState::ForwardScan | ( | const string & | prefix | ) |
| inline

## ◆ IsExactMatch()

bool rime::DfsState::IsExactMatch | ( | const string & | prefix | ) |
| inline

## ◆ IsPrefixMatch()

bool rime::DfsState::IsPrefixMatch | ( | const string & | prefix | ) |
| inline

## ◆ NextEntry()

bool rime::DfsState::NextEntry | ( |  | ) |
| inline

## ◆ RecruitEntry()

void rime::DfsState::RecruitEntry | ( | size_t | pos,
|  | hash_map< string, SyllableId > * | syllabary = nullptr )

## Member Data Documentation

## ◆ accessor

an<DbAccessor> rime::DfsState::accessor

## ◆ code

Code rime::DfsState::code

## ◆ credibility

vector<double> rime::DfsState::credibility

## ◆ depth_limit

size_t rime::DfsState::depth_limit

## ◆ key

string rime::DfsState::key

## ◆ predict_word_from_depth

size_t rime::DfsState::predict_word_from_depth

## ◆ present_tick

TickCount rime::DfsState::present_tick

## ◆ quality_len

vector<double> rime::DfsState::quality_len

## ◆ query_result

hash_map<int, DictEntryList> rime::DfsState::query_result

## ◆ value

string rime::DfsState::value

The documentation for this struct was generated from the following file:

- user_dictionary.cc